Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.traversal
Class DOMNodeIterator

    java.lang.Object
      org.apache.batik.dom.traversal.DOMNodeIterator

All Implemented Interfaces:
  NodeIterator

    public class DOMNodeIterator

extends Object
implements NodeIterator

This class implements the `NodeIterator` interface.

Field Summary
`protected static short` | `BACKWARD` The backward state.
`protected AbstractDocument` | `document` The document which created the iterator.
`protected boolean` | `expandEntityReferences` Whether the children of entity reference nodes are visible to the iterator.
`protected NodeFilter` | `filter` The NodeFilter used to screen nodes.
`protected static short` | `FORWARD` The forward state.
`protected static short` | `INITIAL` The initial state.
`protected static short` | `INVALID` The invalid state.
`protected Node` | `referenceNode` The reference node.
`protected Node` | `root` The root node.
`protected short` | `state` The iterator state.
`protected int` | `whatToShow` Which node types are presented via the iterator.

Constructor Summary
`DOMNodeIterator(AbstractDocument doc, Node n, int what, NodeFilter nf, boolean exp)` Creates a new NodeIterator object.

Method Summary
`void` | `detach()` DOM: Implements `NodeIterator.detach()`.
`boolean` | `getExpandEntityReferences()` DOM: Implements `NodeIterator.getExpandEntityReferences()`.
`NodeFilter` | `getFilter()` DOM: Implements `NodeIterator.getFilter()`.
`Node` | `getRoot()` DOM: Implements `NodeIterator.getRoot()`.
`int` | `getWhatToShow()` DOM: Implements `NodeIterator.getWhatToShow()`.
`Node` | `nextNode()` DOM: Implements `NodeIterator.nextNode()`.
`void` | `nodeToBeRemoved(Node removedNode)` Called by the DOM when a node will be removed from the current document.
`Node` | `previousNode()` DOM: Implements `NodeIterator.previousNode()`.
`protected void` | `unfilteredNextNode()` Sets the reference node to the next node, unfiltered.
`protected void` | `unfilteredPreviousNode()` Sets the reference node to the previous node, unfiltered.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INITIAL

    protected static final short INITIAL

  The initial state.

  See Also:
    Constant Field Values

### INVALID

    protected static final short INVALID

  The invalid state.

  See Also:
    Constant Field Values

### FORWARD

    protected static final short FORWARD

  The forward state.

  See Also:
    Constant Field Values

### BACKWARD

    protected static final short BACKWARD

  The backward state.

  See Also:
    Constant Field Values

### document

    protected AbstractDocument document

  The document which created the iterator.

### root

    protected Node root

  The root node.

### whatToShow

    protected int whatToShow

  Which node types are presented via the iterator.

### filter

    protected NodeFilter filter

  The NodeFilter used to screen nodes.

### expandEntityReferences

    protected boolean expandEntityReferences

  Whether the children of entity reference nodes are visible to the iterator.

### state

    protected short state

  The iterator state.

### referenceNode

    protected Node referenceNode

  The reference node.

Constructor Detail

### DOMNodeIterator

    public DOMNodeIterator(AbstractDocument doc,
                           Node n,
                           int what,
                           NodeFilter nf,
                           boolean exp)

  Creates a new NodeIterator object.

  Parameters:
    `doc` - The document which created the tree walker.
    `n` - The root node.
    `what` - Which node types are presented via the iterator.
    `nf` - The NodeFilter used to screen nodes.
    `exp` - Whether the children of entity reference nodes are visible to the iterator.

Method Detail

### getRoot

    public Node getRoot()

  DOM: Implements `NodeIterator.getRoot()`.

  Specified by:
    `getRoot` in interface `NodeIterator`

### getWhatToShow

    public int getWhatToShow()

  DOM: Implements `NodeIterator.getWhatToShow()`.

  Specified by:
    `getWhatToShow` in interface `NodeIterator`

### getFilter

    public NodeFilter getFilter()

  DOM: Implements `NodeIterator.getFilter()`.

  Specified by:
    `getFilter` in interface `NodeIterator`

### getExpandEntityReferences

    public boolean getExpandEntityReferences()

  DOM: Implements `NodeIterator.getExpandEntityReferences()`.

  Specified by:
    `getExpandEntityReferences` in interface `NodeIterator`

### nextNode

    public Node nextNode()

  DOM: Implements `NodeIterator.nextNode()`.

  Specified by:
    `nextNode` in interface `NodeIterator`

### previousNode

    public Node previousNode()

  DOM: Implements `NodeIterator.previousNode()`.

  Specified by:
    `previousNode` in interface `NodeIterator`

### detach

    public void detach()

  DOM: Implements `NodeIterator.detach()`.

  Specified by:
    `detach` in interface `NodeIterator`

### nodeToBeRemoved

    public void nodeToBeRemoved(Node removedNode)

  Called by the DOM when a node will be removed from the current document.

### unfilteredNextNode

    protected void unfilteredNextNode()

  Sets the reference node to the next node, unfiltered.

### unfilteredPreviousNode

    protected void unfilteredPreviousNode()

  Sets the reference node to the previous node, unfiltered.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.